Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.wml
Interface WMLImgElement

All Superinterfaces:
  Element, Node, WMLElement

All Known Implementing Classes:
  WMLImgElementImpl

Deprecated. 9.2.0.0 Replaced by org.apache.wml.WMLImgElement.

    public interface WMLImgElement

extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'img' specifies an image in a text flow (Section 11.9, WAP WML Version 16-Jun-1999)

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAlign()` Deprecated.
`String` | `getAlt()` Deprecated.
`String` | `getHeight()` Deprecated.
`String` | `getHspace()` Deprecated.
`String` | `getLocalSrc()` Deprecated.
`String` | `getSrc()` Deprecated.
`String` | `getVspace()` Deprecated.
`String` | `getWidth()` Deprecated.
`String` | `getXmlLang()` Deprecated.
`void` | `setAlign(String newValue)` Deprecated. 'align' specifies the alignment of the image within the text flow.
`void` | `setAlt(String newValue)` Deprecated. 'alt' specifies an alternative text for the image (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setHeight(String newValue)` Deprecated. 'height' specifies the height of an image.
`void` | `setHspace(String newValue)` Deprecated. 'hspace' specifies the abount of white space to be inserted left and right (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setLocalSrc(String newValue)` Deprecated. 'localsrc' specifies an alternative internal representation of the image.
`void` | `setSrc(String newValue)` Deprecated. 'src' specifies URI for the source images (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setVspace(String newValue)` Deprecated. 'vspace' specifies the abount of white space to be inserted above and below (Section 11.9, WAP WML Version 16-Jun-1999)
`void` | `setWidth(String newValue)` Deprecated. 'width' specifies the width of an image.
`void` | `setXmlLang(String newValue)` Deprecated. The xml:lang that specifics the natural or formal language in which the document is written.

Methods inherited from interface weblogic.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### setAlt

    void setAlt(String newValue)

  Deprecated.
  'alt' specifies an alternative text for the image (Section 11.9, WAP WML Version 16-Jun-1999)

### getAlt

    String getAlt()

  Deprecated.

### setSrc

    void setSrc(String newValue)

  Deprecated.
  'src' specifies URI for the source images (Section 11.9, WAP WML Version 16-Jun-1999)

### getSrc

    String getSrc()

  Deprecated.

### setLocalSrc

    void setLocalSrc(String newValue)

  Deprecated.
  'localsrc' specifies an alternative internal representation of the image. (Section 11.9, WAP WML Version 16-Jun-1999)

### getLocalSrc

    String getLocalSrc()

  Deprecated.

### setVspace

    void setVspace(String newValue)

  Deprecated.
  'vspace' specifies the abount of white space to be inserted above and below (Section 11.9, WAP WML Version 16-Jun-1999)

### getVspace

    String getVspace()

  Deprecated.

### setHspace

    void setHspace(String newValue)

  Deprecated.
  'hspace' specifies the abount of white space to be inserted left and right (Section 11.9, WAP WML Version 16-Jun-1999)

### getHspace

    String getHspace()

  Deprecated.

### setAlign

    void setAlign(String newValue)

  Deprecated.
  'align' specifies the alignment of the image within the text flow. (Section 11.8, WAP WML Version 16-Jun-1999)

### getAlign

    String getAlign()

  Deprecated.

### setWidth

    void setWidth(String newValue)

  Deprecated.
  'width' specifies the width of an image. (Section 11.9, WAP WML Version 16-Jun-1999)

### getWidth

    String getWidth()

  Deprecated.

### setHeight

    void setHeight(String newValue)

  Deprecated.
  'height' specifies the height of an image. (Section 11.9, WAP WML Version 16-Jun-1999)

### getHeight

    String getHeight()

  Deprecated.

### setXmlLang

    void setXmlLang(String newValue)

  Deprecated.
  The xml:lang that specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    String getXmlLang()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD